> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roissingue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction status



## OpenAPI

````yaml GET /v1/status/{supertxHash}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.roissingue.com/
    description: Production
security: []
paths:
  /v1/status/{supertxHash}:
    get:
      summary: Get Status
      operationId: get_status_v1_status__supertxHash__get
      parameters:
        - name: supertxHash
          in: path
          required: true
          schema:
            type: string
            title: Supertxhash
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/StatusOut'
                  - additionalProperties: true
                    type: object
                title: Response Get Status V1 Status  Supertxhash  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StatusOut:
      properties:
        itxHash:
          type: string
          title: Itxhash
        node:
          type: string
          title: Node
        commitment:
          type: string
          title: Commitment
        paymentInfo:
          $ref: '#/components/schemas/PaymentInfo'
        userOps:
          items:
            $ref: '#/components/schemas/UserOpItem'
          type: array
          title: Userops
        trigger:
          $ref: '#/components/schemas/Trigger'
      type: object
      required:
        - itxHash
        - node
        - commitment
        - paymentInfo
        - userOps
        - trigger
      title: StatusOut
      description: >-
        Complete super transaction details including payment info, user
        operations, and trigger.
      examples:
        - commitment: >-
            0x188156c67fa485afec01ca5971a4a31c3e685d8fd918685527c18554a3d0624f40ee17954db6bd95ee1b2077ca294113c9c52f2b266d20ef7cfc0944dc5eb8701b
          itxHash: '0x42ffc9828c22a66b7a3185d4986356c704a09dc344a828379ca2e6b3acd81d54'
          node: '0x4b19129EA58431A06D01054f69AcAe5de50633b6'
          paymentInfo:
            callGasLimit: '75000'
            chainId: '10'
            eoa: '0x6eBf2153f931334714984c7F5a8E574207927Cc7'
            gasFee: '0.000246'
            initCode: 0x
            nonce: >-
              102639721097583983217535643021692796083602909243952289537519678420636210823168
            orchestrationFee: '0.010000'
            sender: '0xDc8fbe25200E4DB2277112FFB4Af9f3c7832dD68'
            shortEncoding: false
            sponsored: false
            token: '0x0b2C639c533813f4Aa9D7837CAf62653d097Ff85'
            tokenAmount: '0.010246'
            tokenValue: '0.010246'
            tokenWeiAmount: '10246'
            verificationGasLimit: '150000'
          trigger:
            amount: '100000'
            chainId: '10'
            token: '0x0000000000000000000000000b2c639c533813f4aa9d7837caf62653d097ff85'
          userOps: []
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaymentInfo:
      properties:
        sender:
          type: string
          title: Sender
        initCode:
          type: string
          title: Initcode
        nonce:
          type: string
          title: Nonce
        token:
          type: string
          title: Token
        chainId:
          type: string
          title: Chainid
        verificationGasLimit:
          type: string
          title: Verificationgaslimit
        eoa:
          type: string
          title: Eoa
        shortEncoding:
          type: boolean
          title: Shortencoding
        callGasLimit:
          type: string
          title: Callgaslimit
        sponsored:
          type: boolean
          title: Sponsored
        tokenAmount:
          type: string
          title: Tokenamount
        tokenWeiAmount:
          type: string
          title: Tokenweiamount
        tokenValue:
          type: string
          title: Tokenvalue
        gasFee:
          type: string
          title: Gasfee
        orchestrationFee:
          type: string
          title: Orchestrationfee
      type: object
      required:
        - sender
        - initCode
        - nonce
        - token
        - chainId
        - verificationGasLimit
        - eoa
        - shortEncoding
        - callGasLimit
        - sponsored
        - tokenAmount
        - tokenWeiAmount
        - tokenValue
        - gasFee
        - orchestrationFee
      title: PaymentInfo
      description: >-
        Payment information for a user operation including gas and token
        details.
    UserOpItem:
      properties:
        metadata:
          items: {}
          type: array
          title: Metadata
          default: []
        userOp:
          $ref: '#/components/schemas/UserOp'
        userOpHash:
          type: string
          title: Userophash
        meeUserOpHash:
          type: string
          title: Meeuserophash
        lowerBoundTimestamp:
          type: integer
          title: Lowerboundtimestamp
        upperBoundTimestamp:
          type: integer
          title: Upperboundtimestamp
        maxGasLimit:
          type: string
          title: Maxgaslimit
        maxFeePerGas:
          type: string
          title: Maxfeepergas
        chainId:
          type: string
          title: Chainid
        shortEncoding:
          type: boolean
          title: Shortencoding
        stateTransitions:
          $ref: '#/components/schemas/StateTransitions'
        isCleanUpUserOp:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Iscleanupuserop
        simulationFinishedAt:
          type: integer
          title: Simulationfinishedat
        isConfirmed:
          type: boolean
          title: Isconfirmed
        executionStatus:
          type: string
          title: Executionstatus
        executionData:
          type: string
          title: Executiondata
        actualGasCost:
          type: string
          title: Actualgascost
        revertError:
          anyOf:
            - type: string
            - type: 'null'
          title: Reverterror
        miningTimestamp:
          type: integer
          title: Miningtimestamp
        minedTimestamp:
          type: integer
          title: Minedtimestamp
      type: object
      required:
        - userOp
        - userOpHash
        - meeUserOpHash
        - lowerBoundTimestamp
        - upperBoundTimestamp
        - maxGasLimit
        - maxFeePerGas
        - chainId
        - shortEncoding
        - stateTransitions
        - simulationFinishedAt
        - isConfirmed
        - executionStatus
        - executionData
        - actualGasCost
        - miningTimestamp
        - minedTimestamp
      title: UserOpItem
      description: Complete user operation item with execution status and metadata.
    Trigger:
      properties:
        token:
          type: string
          title: Token
        amount:
          type: string
          title: Amount
        chainId:
          type: string
          title: Chainid
      type: object
      required:
        - token
        - amount
        - chainId
      title: Trigger
      description: >-
        Trigger condition for a super transaction based on token amount and
        chain.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserOp:
      properties:
        sender:
          type: string
          title: Sender
        nonce:
          type: string
          title: Nonce
        initCode:
          type: string
          title: Initcode
        callData:
          type: string
          title: Calldata
        accountGasLimits:
          type: string
          title: Accountgaslimits
        gasFees:
          type: string
          title: Gasfees
        paymasterAndData:
          type: string
          title: Paymasteranddata
        preVerificationGas:
          type: string
          title: Preverificationgas
        signature:
          type: string
          title: Signature
      type: object
      required:
        - sender
        - nonce
        - initCode
        - callData
        - accountGasLimits
        - gasFees
        - paymasterAndData
        - preVerificationGas
        - signature
      title: UserOp
      description: User operation data structure for ERC-4337 account abstraction.
    StateTransitions:
      properties:
        assetTransfers:
          $ref: '#/components/schemas/AssetTransfers'
      type: object
      required:
        - assetTransfers
      title: StateTransitions
      description: Represents state transitions including asset transfers.
    AssetTransfers:
      properties:
        nativeTokenTransfers:
          items:
            $ref: '#/components/schemas/NativeTokenTransfer'
          type: array
          title: Nativetokentransfers
          default: []
        erc20TokenTransfers:
          items:
            $ref: '#/components/schemas/ERC20TokenTransfer'
          type: array
          title: Erc20Tokentransfers
          default: []
      type: object
      title: AssetTransfers
      description: Container for native and ERC20 token transfers.
    NativeTokenTransfer:
      properties:
        fromAddress:
          type: string
          title: Fromaddress
        toAddress:
          type: string
          title: Toaddress
        amount:
          type: string
          title: Amount
        chainId:
          type: string
          title: Chainid
      type: object
      required:
        - fromAddress
        - toAddress
        - amount
        - chainId
      title: NativeTokenTransfer
      description: Represents a native token transfer between addresses on a blockchain.
    ERC20TokenTransfer:
      properties:
        tokenAddress:
          type: string
          title: Tokenaddress
        fromAddress:
          type: string
          title: Fromaddress
        toAddress:
          type: string
          title: Toaddress
        amount:
          type: string
          title: Amount
        name:
          type: string
          title: Name
        symbol:
          type: string
          title: Symbol
        decimals:
          type: integer
          title: Decimals
        chainId:
          type: string
          title: Chainid
      type: object
      required:
        - tokenAddress
        - fromAddress
        - toAddress
        - amount
        - name
        - symbol
        - decimals
        - chainId
      title: ERC20TokenTransfer
      description: Represents an ERC20 token transfer with token metadata.

````